Create an item type (tenant:forge:write and maintainer, or tenant:forge:admin)
POST /api/forge/v1/projects/{key}/item-types
Module: Forge · operationId: createForgeItemType · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Requires tenant:forge:admin, or tenant:forge:write and project role maintainer or admin. Writes forge.config.updated.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key |
path | string | yes | Project key (e.g. APP) |
Request body
application/json (required)
archived(boolean): Archive or restore the typeicon(string): Icon name (at most 60 characters)key(string): Create: type key; fixed afterwardslevel(integer): 0 = leaf; a parent type has a higher level (max 5)name(string): Display name (max length 60)version(integer): PATCH: the version the change is based onworkflowId(string (uuid)): Workflow of the type
Example:
{
"icon": "i-lucide-flask-conical",
"key": "spike",
"level": 1,
"name": "Spike",
"workflowId": "6e2f3a4b-5c6d-4e7f-9a8b-2c3d4e5f6a01"
}
Responses
- 201 Created (
application/json) - 400 Error (
application/json) - 403 Error (
application/json) - 404 Error (
application/json) - 409 Error (
application/json)
Fields of the 201 answer:
archived(boolean, required): Archived: no new items of the typeicon(string, required): Icon name shown in the portalid(string (uuid), required): Item type idkey(string, required): Type key; never changeslevel(integer, required): 0 = leaf; a parent type has a higher level (max 5)name(string, required): Display nameposition(integer, required): Order in the configurationversion(integer, required): Optimistic-locking version; send it with PATCHworkflowId(string (uuid), required): Workflow the items of the type follow
Example 201 answer:
{
"archived": false,
"icon": "i-lucide-bug",
"id": "7f3a4b5c-6d7e-4f8a-9b9c-3d4e5f6a7b04",
"key": "fehler",
"level": 1,
"name": "Fehler",
"position": 3,
"version": 1,
"workflowId": "6e2f3a4b-5c6d-4e7f-9a8b-2c3d4e5f6a01"
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/forge/v1/projects/string/item-types' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"icon":"i-lucide-flask-conical","key":"spike","level":1,"name":"Spike","workflowId":"6e2f3a4b-5c6d-4e7f-9a8b-2c3d4e5f6a01"}'